<?php

    require('Payflow.php');
    $payflow = new Payflow;
    $payflow->setEnv('live');
    $payflow->setPartner('PayPal');
    $payflow->setVendor('108Mf3');
    $payflow->setCurrency('USD');
    $payflow->setUser('maduroapi');
    $payflow->setPassword('Noentry2u##');
    //$payflow->setTrxtype('A');


//if (isset($_POST['submit'])) {
  
    $arr_expiry = str_replace(" ","",explode("/", $_POST['expiry']));
  
    $formData = array(
        'firstName' => $_POST['first-name'],
        'lastName' => $_POST['last-name'],
        'number' => str_replace(" ","",$_POST['number']),
        'expiryMonth' => trim($arr_expiry[0]),
        'expiryYear' => trim($arr_expiry[1]),
        'cvv' => $_POST['cvc']
    );
    
  
    try {

        //echo $_POST['streetaddress'];
        //echo $arr_expiry[0].$arr_expiry[1];


    // Account for country and currency code
    $country = $_POST['menu-country'];
    switch ($country) {

        case 'USA' :
            $currency_code = 'USD';
        break;

        case 'CANADA' :
            $currency_code = 'CAD';
        break;

        case 'UK' :
            $currency_code = 'GPB';
        break;

    }

    $payflow->setCurrency($currency_code);


    $payflow->data['ACCT'] = str_replace(" ","",$_POST['number']);
    $payflow->data['AMT'] = number_format($_POST['amount'], 2,'.', '');
    $payflow->data['CVV2'] = str_replace(" ","",$_POST['cvc']);
    $payflow->data['EXPDATE'] = $arr_expiry[0].$arr_expiry[1];
    $payflow->data['FIRSTNAME'] = $_POST['first-name'];
    $payflow->data['LASTNAME'] = $_POST['last-name'];
    $payflow->data['STREET'] = $_POST['streetaddress'];
    $payflow->data['CITY'] = $_POST['city'];
    $payflow->data['STATE'] = $_POST['state'];
    $payflow->data['ZIP'] = $_POST['zipcode'];
    $payflow->data['COUNTRY'] = $country;
    $payflow->data['CURRENCY'] = $currency_code;

    // DEBUG
         //echo "<pre>";
         //print_r($payflow);
         //echo "</pre>";


    $result = $payflow->pay();




function _results_POST($form_data, $data, $site) {
    @file_put_contents(__DIR__ . "/results_".$site.".log", PHP_EOL . date("Y-m-d H:i:s") . ": " . $id_message . PHP_EOL . "----FORM DATA-----" . PHP_EOL . print_r($form_data, true) . PHP_EOL . "----RESULTS-----" . PHP_EOL . print_r($data, true) . PHP_EOL . "---------", FILE_APPEND);
}


_results_POST($formData,$result,'madurodive.com');

    if ($result['success']) {
        $token = $result['data']['PNREF'];

         echo json_encode('success|'.$token);
         //echo "Result Success. ";
         //echo "Reference Token = ".$token;
         //echo "<pre>";
         //print_r($result);
         //echo "</pre>";


    } else {

        $message = $result['data']['RESPMSG'];
        echo json_encode('error|'.$message);
         //echo "Payment failed. ";
         //echo "<pre>";
         //print_r($result);
         //echo "</pre>";
    }


    } catch(Exception $e) {
        echo json_encode($e->getMessage());
    }
//}


exit;

?>